Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 593491 - `yum check duplicates` crashes with error
Summary: `yum check duplicates` crashes with error
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: yum
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Seth Vidal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-18 22:37 UTC by Alexei Panov
Modified: 2014-01-21 23:15 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-27 16:28:09 UTC


Attachments (Terms of Use)
patch fix it bug in yum.noarch 3.2.27-4.fc13 (deleted)
2010-11-06 14:13 UTC, Alexei Panov
no flags Details | Diff

Description Alexei Panov 2010-05-18 22:37:49 UTC
Description of problem:
Run `yum check duplicates` crashes with error:
Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in <module>
    yummain.user_main(sys.argv[1:], exit_code=True)
  File "/usr/share/yum-cli/yummain.py", line 254, in user_main
    errcode = main(args)
  File "/usr/share/yum-cli/yummain.py", line 109, in main
    result, resultmsgs = base.doCommands()
  File "/usr/share/yum-cli/cli.py", line 356, in doCommands
    return self.yum_cli_commands[self.basecmd].doCommand(self, self.basecmd, self.extcmds)
  File "/usr/share/yum-cli/yumcommands.py", line 1356, in doCommand
    if base._rpmdb_warn_checks(_out, False, chkcmd):
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 1150, in _rpmdb_warn_checks
    out(prob)
  File "/usr/share/yum-cli/yumcommands.py", line 1353, in _out
    print x

Version-Release number of selected component (if applicable):
3.2.27-4.fc13

How reproducible:
1. Install 2 packages with same name, for example flash-plugin-10.0.45.2-1.fc12.x86_64 and flash-plugin-10.0.45.2-release.i386
2. Run `LANG=ru_RU.UTF-8 yum check duplicates`
  
Actual results:
Crash with traceback (see above).

Expected results:
No crashes.

Additional info:
Yum crashes only in non-English locales. I.e. with LANG=C `yum check duplicates` and `yum check` work fine.

Comment 1 Edward Rousseau 2010-05-27 04:50:06 UTC
*** Bug 592990 has been marked as a duplicate of this bug. ***

Comment 2 Alexei Panov 2010-11-06 14:13:16 UTC
Created attachment 458321 [details]
patch fix it bug in yum.noarch 3.2.27-4.fc13

This patch fix it bug in yum.noarch 3.2.27-4.fc13

For current yum (3.2.28-5.fc14) edit /usr/share/yum-cli/yumcommands.py:1421
from
  print x
to
  print unicode(x)
Also fix bug.

Comment 3 James Antill 2010-11-09 15:00:59 UTC
 The upstream fix is:

        def _out(x):
            print to_unicode(x.__str__())

...should be fixed in F-13 if we ever put 3.2.29 into it.

Comment 4 Bug Zapper 2011-06-02 13:51:32 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Alexei Panov 2011-06-08 19:16:28 UTC
This bug fixed in Fedora 15. (in yum 3.2.29).
Many thanks.

Comment 6 Bug Zapper 2011-06-27 16:28:09 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.